Skip to main content
POST
/
v1
/
whatsapp
/
groups
Create a group
curl --request POST \
  --url https://api.whatsapp-use.com/v1/whatsapp/groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "participants": [
    "<string>"
  ]
}
'
{
  "command_id": "<string>",
  "kind": "<string>",
  "command": {
    "id": "<string>",
    "kind": "<string>",
    "payload": {},
    "status": "<string>",
    "result": {},
    "error": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "claimed_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-WhatsApp-Use-Connection-Id
string

Required when the API key can access multiple WhatsApp connections.

Body

application/json
name
string
required
participants
string[]
required
announce
boolean
locked
boolean

Response

Command accepted.

command_id
string
kind
string
command
object